Redmine - Defect #9478

User with groups may not see issues assigned to him or to its groups
2011-10-26 17:50 - Igor Zubkov

Status: Closed Start date: 2011-10-26
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Issues Estimated time: 0.00 hour

Target version:

Resolution: Fixed Affected version:

Description
At line source:trunk/app/models/issue.rb#L 97

redmine building array with ids for Principals and then use them in building sql:

"(#{table_name}.is_private = #{connection.quoted_false} OR #{table_name}.author_id = #{user.id} OR #{table_name}.assigned_to_id
IN (#{user_ids}))"

but if it missing .join(", ') and it miss issues which are assigned to user/group if user.groups more then one. b/c, ruby on [1, 2] do .to_s
and we have "12", instead "1, 2".

The same for source:trunk/app/models/issue.rb#L100

Patch for revision r7655 attached.

Related issues:
Has duplicate Redmine - Defect #9400: Private issues are not shown if the use... Closed 2011-10-10

Associated revisions

Revision 7771 - 2011-11-11 13:22 - Jean-Philippe Lang

Fixed: User with groups may not see issues assigned to him or to its groups (#9478).

History

#1 - 2011-10-27 02:43 - Mischa The Evil

- Category set to Issues

#2 - 2011-10-29 13:48 - Etienne Massip

Could you please describe a buggy user situation?
#3 - 2011-10-31 10:05 - Igor Zubkov
Etienne Massip wrote:

Could you please describe a buggy user situation?

Sure.

We have:
Two Users, Two Groups and Project. In redmine settings -> Issue tracking -> enable "Allow issue assignment to groups".

First user is in two Groups. Second user create issue and assign to Group (doesn't matter first or second). First user can't see this issue in issue list,
but can see know url to go. If First user is only one group, it works, user see issue in issue list.

#4 - 2011-11-11 13:23 - Jean-Philippe Lang

- Tracker changed from Patch to Defect

- Subject changed from Fix building sql for issue to User with groups may not see issues assigned to him or to its groups
- Status changed from New to Resolved

- Target version set to 1.2.2
https://www.redmine.org/projects/redmine/repository/svn/entry/trunk/app/models/issue.rb#L97
https://www.redmine.org/projects/redmine/repository/svn/entry/trunk/app/models/issue.rb#L100
https://www.redmine.org/projects/redmine/repository/svn/revisions/7655

- Affected version (unused) set to 1.2.1
- Resolution set to Fixed

- Affected version set to 1.2.1

Fixed in r7771 with test, thanks for pointing this out.

#5 - 2011-11-11 13:25 - Jean-Philippe Lang

- Status changed from Resolved to Closed

- Target version deleted (1.2.2)

- Affected version (unused) changed from 1.2.1 to devel

- Affected version deleted (1.2.1)

Only trunk is affected. Group assignment is not present in 1.2-stable.
